Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.request
Class DomainMigrateDescrRequest

    java.lang.Object
      de.knipp.rritoolkit.request.Request
          de.knipp.rritoolkit.request.DomainMigrateDescrRequest

    public class DomainMigrateDescrRequest

extends Request

request to migrate a domain from the description format to the holder handle format

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private java.lang.String` | `domainName` the domain name
`private java.lang.String` | `encodedDomainName` the encoded domain name
`private java.lang.String` | `holderHandle` the holder handle

Constructor Summary
`DomainMigrateDescrRequest()` constructor
`DomainMigrateDescrRequest(java.lang.String theDomainName, java.lang.String theHolderHandle)` constructor
`DomainMigrateDescrRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName, java.lang.String theHolderHandle)` constructor

Method Summary
`DomainMigrateDescrResponse` | `execute(Port port)` execute the this request on the given port.
`protected java.lang.String` | `getActionCode()` return the action string for this request
`java.lang.String` | `getDomainName()` return the domain name
`java.lang.String` | `getEncodedDomainName()` return the encoded domain name
`java.lang.String` | `getHolderHandle()` return the holder handle
`protected void` | `requestToKVList(KVList list)` method that needs to be implemented by subclasses for the key-value list conversion
`protected void` | `requestToXml(org.w3c.dom.Node node)` method that needs to be implemented by subclasses for the XML conversion
`void` | `setDomainName(java.lang.String theDomainName)` set the domain name.
`void` | `setDomainName(java.lang.String theDomainName, java.lang.String theEncodedDomainName)` set the domain name
`void` | `setHolderHandle(java.lang.String theHolderHandle)` set the holder handle
`java.lang.String` | `toString()` return a string representation for debugging purposes

Methods inherited from class de.knipp.rritoolkit.request.Request
`getClientTxnID, getProtocolVersion, setClientTxnID, toList, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### domainName

    private java.lang.String domainName

  the domain name

### encodedDomainName

    private java.lang.String encodedDomainName

  the encoded domain name

### holderHandle

    private java.lang.String holderHandle

  the holder handle

Constructor Detail

### DomainMigrateDescrRequest

    public DomainMigrateDescrRequest()

  constructor

### DomainMigrateDescrRequest

    public DomainMigrateDescrRequest(java.lang.String theDomainName,
                                     java.lang.String theEncodedDomainName,
                                     java.lang.String theHolderHandle)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains
    `theHolderHandle` - the holder handle

### DomainMigrateDescrRequest

    public DomainMigrateDescrRequest(java.lang.String theDomainName,
                                     java.lang.String theHolderHandle)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theHolderHandle` - the holder handle

Method Detail

### execute

    public DomainMigrateDescrResponse execute(Port port)
                                       throws java.io.IOException

  execute the this request on the given port.

  Overrides:
    `execute` in class `Request`
  Parameters:
    `port` - the port on which this request shall be executed
  Returns:
    the response
  Throws:
    `java.io.IOException` - if the execution failed

### requestToXml

    protected void requestToXml(org.w3c.dom.Node node)
                         throws org.w3c.dom.DOMException,
                                EncodeException

  method that needs to be implemented by subclasses for the XML conversion

  Specified by:
    `requestToXml` in class `Request`
  Parameters:
    `node` - the node where the request shall be added to
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails for some reason

### getActionCode

    protected java.lang.String getActionCode()

  return the action string for this request

  Specified by:
    `getActionCode` in class `Request`
  Returns:
    the action string

### requestToKVList

    protected void requestToKVList(KVList list)
                            throws EncodeException

  method that needs to be implemented by subclasses for the key-value list conversion

  Specified by:
    `requestToKVList` in class `Request`
  Parameters:
    `list` - the list that has to be filled
  Throws:
    `EncodeException` - if the encoding fails for some reason

### toString

    public java.lang.String toString()

  return a string representation for debugging purposes

  Overrides:
    `toString` in class `Request`
  Returns:
    the representation

### getDomainName

    public java.lang.String getDomainName()

  return the domain name

  Returns:
    the domain name

### getEncodedDomainName

    public java.lang.String getEncodedDomainName()

  return the encoded domain name

  Returns:
    the encoded domain name

### setDomainName

    public void setDomainName(java.lang.String theDomainName)

  set the domain name. The encoded domain name is cleared. This version should be use for non-IDNs only

  Parameters:
    `theDomainName` - the domain name

### setDomainName

    public void setDomainName(java.lang.String theDomainName,
                              java.lang.String theEncodedDomainName)

  set the domain name

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name

### getHolderHandle

    public java.lang.String getHolderHandle()

  return the holder handle

  Returns:
    the holder handle

### setHolderHandle

    public void setHolderHandle(java.lang.String theHolderHandle)

  set the holder handle

  Parameters:
    `theHolderHandle` - the holder handle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH